// SetTime.cpp : 实现文件
//

#include "stdafx.h"
#include "NetSDKDemo.h"
#include "SetTime.h"


// CSetTime 对话框

IMPLEMENT_DYNAMIC(CSetTime, CDialog)
#if 0
CSetTime::CSetTime(CWnd* pParent /*=NULL*/)
	: CDialog(CSetTime::IDD, pParent)
{

	EnableAutomation();

}
#endif

CSetTime::CSetTime(CString& strXML, CWnd* pParent): m_strXML(strXML), CDialog(CSetTime::IDD, pParent)
{
	//m_strXML = strXML;
}

CSetTime::~CSetTime()
{
}

BOOL CSetTime::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_edtStrXML.SetWindowText(m_strXML);
	return TRUE;
}

void CSetTime::OnFinalRelease()
{
	// 释放了对自动化对象的最后一个引用后，将调用
	// OnFinalRelease。基类将自动
	// 删除该对象。在调用该基类之前，请添加您的
	// 对象所需的附加清除代码。

	CDialog::OnFinalRelease();
}

void CSetTime::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_STRXML, m_edtStrXML);
}


BEGIN_MESSAGE_MAP(CSetTime, CDialog)
	ON_EN_CHANGE(IDC_EDIT_STRXML, &CSetTime::OnEnChangeEditStrxml)
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CSetTime, CDialog)
END_DISPATCH_MAP()

// 注意: 我们添加 IID_ISetTime 支持
//  以支持来自 VBA 的类型安全绑定。此 IID 必须同附加到 .IDL 文件中的
//  调度接口的 GUID 匹配。

// {267A6620-9D17-474E-94BC-CD3D3ECD929C}
static const IID IID_ISetTime =
{ 0x267A6620, 0x9D17, 0x474E, { 0x94, 0xBC, 0xCD, 0x3D, 0x3E, 0xCD, 0x92, 0x9C } };

BEGIN_INTERFACE_MAP(CSetTime, CDialog)
	INTERFACE_PART(CSetTime, IID_ISetTime, Dispatch)
END_INTERFACE_MAP()


// CSetTime 消息处理程序

void CSetTime::OnEnChangeEditStrxml()
{
	// TODO:  如果该控件是 RICHEDIT 控件，则它将不会
	// 发送该通知，除非重写 CDialog::OnInitDialog()
	// 函数并调用 CRichEditCtrl().SetEventMask()，
	// 同时将 ENM_CHANGE 标志“或”运算到掩码中。

	// TODO:  在此添加控件通知处理程序代码
	m_edtStrXML.GetWindowText(m_strXML);
}
